تغییر سیاست گوگل در نصب افزونه های کروم

googleChrome

قوانین جدید در مورد تغییراتی است که شرکت گوگل در ماه اکتبر اعلام کرد و برای حصول اطمینان از قابل‌اعتماد بودن افزونه‌های‌کروم ، طراحی شده‌اند. گوگل  اعلام کرد که با هدف محافظت از کاربران در برابر وب‌سایت‌هایی که اقدام به فریب آن‌ها برای نصب افزونه‌های کروم می‌کنند، خط مشی وب استور کروم را تغییر می‌دهد. تا به امروز، توسعه‌دهندگانی که اپلیکیشن‌های خود را در وب استور منتشر می‌کردند، می‌توانستند امکان نصب اپلیکیشن و افزونه را از وب‌سایت خود فراهم کنند. اما اغلب اوقات توسعه‌دهندگان این به اصطلاح «نصب‌های خطی» را در وب‌سایت خود با اطلاعات فریبنده ترکیب می‌کردند تا کاربران را به نصب اپلیکیشن‌ها و افزونه‌های خود مجاب کنند. 

گوگل کروم سال گذشته تصمیم گرفت که نصب خطی برای تمام افزونه‌های تازه منتشرشده غیر قابل دسترس ‌شود. توسعه‌دهندگانی که از روش استاندارد برای فراخوان نصب از روی وب‌سایت خود استفاده می‌کنند، شاهد خواهند بود که کاربران برای تکمیل عملیات نصب به وب استور کروم هدایت می‌شوند،که این امر باعث شد شکایات کاربران در مورد افزونه‌های ناشناخته تا ٪۱۸ کاهش یابد.

با توجه به این واقعیت که کاربران همچنان از وب سایت‌هایی که آن‌ها را برای نصب افزونه‌های فریب می‌دهند، شکایت می‌کنند، گوگل کروم تصمیم گرفته‌است به‌منظور محافظت کاربران،نصب اپلیکیشن‌ و افزونه‌های‌ شخص ثالث تنها از طریق وب استور کروم امکان‌پذیر باشد.

گوگل کروم یادآور می‌شود در روش‌های فریب کاربران برای  نصب افزونه‌ها،قبل از آیتم‌های وب استور کروم لیست‌هایی وجود دارد که شامل اطلاعات گمراه‌کننده برای فریب کاربر جهت نصب افزونه‌ها می‌باشد و اطلاعات نمایش‌داده‌شده در کنار افزونه‌ها نقشی مهم در متقاعد ساختن کاربران جهت نصب ایفا می‌کند.

گوگل از همه توسعه دهندگان می‌خواهد تمام افزونه‌های خود را براساس سیاست‌های جدید گوگل اصلاح کنند و تا ۱ ژوئیه ۲۰۱۹ فرصت دارند. پرسش و پاسخ در مورد سیاست جدید در مرکز توسعه کروم منتشر شده‌است.

توسعه‌دهندگان گوگل کروم اعلام کرده‌اند که ویژگی جدیدی به این مرورگر اضافه خواهند کرد که به کاربر اجازه کنترل و محدود کردن دسترسی افزونه‌ها به وب‌سایت‌های انتخابی‌شان را فراهم کند.

همچنین گوگل اعلام کرده است که فعال‌سازی احراز هویت دو مرحله‌ای برای تمام توسعه‌دهندگان افزونه‌های مرورگر کروم اجباری شده و همه توسعه‌دهندگان برای جلوگیری از سرقت حساب‌های خود توسط مجرمان سایبری موظف هستند آن را فعال کنند.